Bug 13818 - Некоторые замечания
: Некоторые замечания
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/nx)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-12-28 00:00 by
Modified: 2008-06-22 04:00 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-12-28 00:00:45
1. summary & description слишком ни о чём, наверное есть более говорящие 
варианты...
Возможно, так (с сайта freenx):
Summary: Next Generation Remote Display
description:
NX is an exciting new technology for remote display. It provides near local 
speed application responsiveness over high latency, low bandwidth links. The 
core libraries for NX are provided by NoMachine under the GPL.

2. Не используется параллельная сборка (%make_build)

3. Исполняемые файлы кладутся в libexecdir и на них делаются ссылки в bindir. 
Надо просто оставить один вариант, и уж явно не bindir
------- Comment #1 From 2007-12-28 00:17:59 -------
Скрипт nxagent из SOURCE0 вообще содержит прямые
/usr/lib/
как я понимаю
------- Comment #2 From 2007-12-28 19:12:55 -------
(In reply to comment #0)
> 1. summary & description слишком ни о чём, наверное есть более говорящие 
> варианты...
> Возможно, так (с сайта freenx):
> Summary: Next Generation Remote Display
> description:
> NX is an exciting new technology for remote display. It provides near local 
> speed application responsiveness over high latency, low bandwidth links. The 
> core libraries for NX are provided by NoMachine under the GPL.

fixed in nx-3.1.0-alt2.src.rpm

> 2. Не используется параллельная сборка (%make_build)

fixed in nx-3.1.0-alt2.src.rpm
 

------- Comment #3 From 2007-12-28 19:24:32 -------
(In reply to comment #0)
> 3. Исполняемые файлы кладутся в libexecdir и на них делаются ссылки в bindir. 
> Надо просто оставить один вариант, и уж явно не bindir

Это не ссылки. Это shell скрипт через который запускаются все эти приложения.
Это сделано для того что бы nx запускался со своими библиотеками libX11, libXext
и т.д.
------- Comment #4 From 2007-12-28 19:25:06 -------
(In reply to comment #1)
> Скрипт nxagent из SOURCE0 вообще содержит прямые
> /usr/lib/
> как я понимаю

И они работают правильно на i586 и x86_64.
------- Comment #5 From 2008-01-03 17:58:23 -------
(In reply to comment #4)
> (In reply to comment #1)
> > Скрипт nxagent из SOURCE0 вообще содержит прямые
> > /usr/lib/
> > как я понимаю
> 
> И они работают правильно на i586 и x86_64.

Я ошибся. На x86_64 оно не работает. Исправленно в nx-3.1.0-alt3.src.rpm.

(In reply to comment #1)
> Скрипт nxagent из SOURCE0 вообще содержит прямые
> /usr/lib/
> как я понимаю

И это тоже. Там теперь через макросы подставляются пути. nx-3.1.0-alt3.src.rpm.

(In reply to comment #0)
> 3. Исполняемые файлы кладутся в libexecdir и на них делаются ссылки в bindir. 
> Надо просто оставить один вариант, и уж явно не bindir

А вот это лучше отдельным багом лучше перевесить. И закрыть этот как fixed.
------- Comment #6 From 2008-06-22 02:22:23 -------
Будем считать что уже давно FIXED?
------- Comment #7 From 2008-06-22 04:00:15 -------
Да, думаю что всё поправлено.